Subject: bug#30728: Modification for guix installation script.

From: Clément Lassieur <[email-masked]>
Date: Mon, 26 Mar 2018 10:27:57 +0200

Hi Tatiana,

Tatiana Sholokhova <[email-masked]> writes:

> Hello! My name is Tatiana.
>
> I have installed guix for the first time and noticed that the installation
> script at
> https://git.savannah.gnu.org/cgit/guix.git/tree/etc/guix-install.sh did not
> work for me. So, I had to make some modifications.
>
> There was a problem with the path to root user home directory. Below I
> provide diff output for original script and my modified script.

Thank you for working on this!

> 266c266,267
> <     ln -sf /var/guix/profiles/per-user/root/guix-profile
> /root/.guix-profile
> ---
>>     ln -sf /var/guix/profiles/per-user/root/guix-profile \
>>        ~root/.guix-profile
> 268c269
> <     GUIX_PROFILE="/root/.guix-profile"
> ---
>>     GUIX_PROFILE="${HOME}/.guix-profile"
>
> These changes allowed me to install guix via the script.

As I said to Chris (Cc'ed), I don't think it's a good idea to install
Guix in root's home directory.  Instead, we should probably honor the
USER and HOME environment variables, so that the command can be run as a
non-root user (with sudo) in a consistent way.  What do you think?

You can follow the discussion there:
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30728.  Every email sent
to [email-masked] will appear there.

Clément